/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.process.web.ui.internal.TeamContributorSelectionDialog");

dojo.require("com.ibm.team.process.web.client.internal.ProcessClient");
dojo.require("com.ibm.team.repository.web.ui.internal.TeamContributorSelectionDialog");

(function() {

var ProcessClient = com.ibm.team.process.web.client.internal.ProcessClient;
	
dojo.declare("com.ibm.team.process.web.ui.internal.TeamContributorSelectionDialog", com.ibm.team.repository.web.ui.internal.TeamContributorSelectionDialog, {

	runContribSearch: function (params, srh) {
		ProcessClient.getContributors(params, srh);
	},
	
	getDispValue: function (elem) {
		var processAreas = [];
		if (elem.processAreas != null) {
			for (var j=0; j < elem.processAreas.length; j++) {
				processAreas.push(elem.processAreas[j].name);
			}
		}
		var disp = elem.name;
		if (processAreas.length > 0) {
			disp += " - " + processAreas.sort().join(", ");
		}
		return disp;
	}
});

})();